package main

import (
	"fmt"
	"os"
	"os/signal"
	"syscall"
)

// SignalHandler handles a config reload on a pkill 10
func SignalHandler() {
	sigs := make(chan os.Signal, 1)
	signal.Notify(sigs, syscall.Signal(0xa))
	for {
		if <-sigs == syscall.Signal(0xa) {
			fmt.Println("Recieved 0xa, reloading config")
			LoadConfig()
		}
	}
}
